'use strict';

var User = {
  attributes: {
    posts: function(context) {
      return context.hasMany('post', 'id', 'user_id');
    }
  },
  pre: {},
  post: {},
  method: {},
  static: {}
};

// Model Modifiable
User.pre.create = function(model, resolve) {
  resolve(model);
};

// Model Not Modifiable
User.pre.update = function(model, resolve) {
  resolve(model);
};

// Model Not Modifiable
User.pre.delete = function(model, resolve) {
  resolve(model);
};

// Model Not Modifiable
User.post.create = function(model, resolve) {
  resolve(model);
};

// Model Not Modifiable
User.post.update = function(model, resolve) {
  resolve(model);
};

// Model Not Modifiable
User.post.delete = function(model, resolve) {
  resolve(model);
};

module.exports = User;